aboutsummaryrefslogtreecommitdiff
path: root/libsearpc
diff options
context:
space:
mode:
authorGabriel Arakaki Giovanini <mail@gabrielgio.me>2022-09-25 02:27:57 +0000
committerGabriel Arakaki Giovanini <mail@gabrielgio.me>2022-09-25 02:31:49 +0000
commit121d6f029f4ebc205915bb5a0c74ecde7d874b32 (patch)
treed8a25a59746b269a47eb3d76ba3c48082ea6b92a /libsearpc
parent5ed1ae372c629c87f79d7914d1520749ce82cd7c (diff)
downloadapkbuilds-121d6f029f4ebc205915bb5a0c74ecde7d874b32.tar.gz
apkbuilds-121d6f029f4ebc205915bb5a0c74ecde7d874b32.tar.bz2
apkbuilds-121d6f029f4ebc205915bb5a0c74ecde7d874b32.zip
feat: Add some dependencies of seafile
Add initial setup for dependencies of seafile server
Diffstat (limited to 'libsearpc')
-rw-r--r--libsearpc/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/libsearpc/APKBUILD b/libsearpc/APKBUILD
new file mode 100644
index 0000000..9ab7120
--- /dev/null
+++ b/libsearpc/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: <xmingske@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libsearpc
+pkgver=3.1
+pkgrel=0
+pkgdesc="A simple and easy-to-use C language RPC framework"
+url="https://github.com/haiwen/libsearpc/"
+arch="all"
+license="LGPL2.1"
+makedepends="autoconf automake bash glib-dev jansson-dev libtool python3-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/haiwen/libsearpc/archive/v3.1-latest.tar.gz"
+subpackages="$pkgname-dev py-$pkgname:py"
+
+_builddir="${srcdir}"/${pkgname}-3.1-latest
+
+prepare() {
+ local pf
+ cd "${_builddir}"
+ for pf in $source; do
+ case $pf in
+ *.patch) msg $pf; patch -p1 -i "$srcdir"/${pf} || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "${_builddir}"
+ ./autogen.sh
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "${_builddir}"
+ make DESTDIR="${pkgdir}" install || return 1
+ rm "${pkgdir}"/usr/lib/libsearpc.la
+ echo ${pkgdir}/usr/lib/pkgconfig/libsearpc.pc
+ sed -i -e 's/(DESTDIR)//' "${pkgdir}"/usr/lib/pkgconfig/libsearpc.pc
+ sed -i -e 's/prefix=.*/prefix=\/usr/' "${pkgdir}"/usr/lib/pkgconfig/libsearpc.pc
+}
+
+py() {
+ arch="noarch"
+ cd "$_builddir"
+ pkgdesc="$pkgname python bindings"
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
+}
+sha512sums="
+4dfb14601819c634078f7bd538da13e70d6c714297c777bd2af07521d8fefd6c71a0f00bf135349f2efb3e809a27500b459af727471915bd47d8b351e069e120 libsearpc-3.1.tar.gz
+"